> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List funder integration states for the current broker

> Returns one entry per linked integration (API/portal) funder, with its current state, configuration, and last test result.




## OpenAPI

````yaml https://app.herondata.io/swagger get /api/funder_integrations/
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/funder_integrations/:
    get:
      summary: List funder integration states for the current broker
      description: >
        Returns one entry per linked integration (API/portal) funder, with its
        current state, configuration, and last test result.
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FunderIntegrationViewSchema'
                type: array
          description: List of funder integration states
      security:
        - ApiKeyAuth: []
components:
  schemas:
    FunderIntegrationViewSchema:
      properties:
        channel:
          enum:
            - integration
            - email
            - null
          nullable: true
        config:
          allOf:
            - $ref: '#/components/schemas/FunderIntegrationConfig'
          nullable: true
        effective_submission_email_address:
          nullable: true
          type: string
        funder_email_domains:
          items:
            type: string
          type: array
        funder_heron_id:
          type: string
        funder_logo_url:
          nullable: true
          type: string
        funder_name:
          type: string
        production:
          allOf:
            - $ref: '#/components/schemas/IntegrationEnvironment'
          nullable: true
        sender_address:
          type: string
        slug:
          nullable: true
          type: string
        staging:
          allOf:
            - $ref: '#/components/schemas/IntegrationEnvironment'
          nullable: true
        state:
          enum:
            - not_available
            - not_configured
            - staging_configured
            - staging_live
            - production_configured
            - production_live
            - live
        submission_cc_email_addresses:
          items:
            type: string
          nullable: true
          type: array
        submission_email_address:
          nullable: true
          type: string
        submission_email_subject_prefix:
          nullable: true
          type: string
        supports_staging:
          type: boolean
      required:
        - funder_email_domains
        - funder_heron_id
        - funder_name
        - sender_address
        - state
        - supports_staging
      type: object
    FunderIntegrationConfig:
      properties:
        display_name:
          type: string
        form_fields:
          items:
            $ref: '#/components/schemas/FormField'
          type: array
        supports_staging:
          type: boolean
      required:
        - display_name
        - form_fields
        - supports_staging
      type: object
    IntegrationEnvironment:
      properties:
        has_credentials:
          type: boolean
        last_test_attempted_at:
          format: date-time
          nullable: true
          type: string
        last_test_deal_id:
          nullable: true
          type: string
        last_test_status:
          enum:
            - not_run
            - in_progress
            - succeeded
            - failed
        last_test_status_message:
          nullable: true
          type: string
      required:
        - has_credentials
        - last_test_status
      type: object
    FormField:
      properties:
        field_type:
          enum:
            - text
            - password
        label:
          type: string
        name:
          type: string
        required:
          type: boolean
      required:
        - field_type
        - label
        - name
        - required
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.